Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.codehaus.groovy.grails.web.util
[Java] Enum StreamByteBuffer.ReadMode

    java.lang.Object
      org.codehaus.groovy.grails.web.util.StreamByteBuffer.ReadMode

    public enum StreamByteBuffer.ReadMode

Enum Constant Summary
`REMOVE_AFTER_READING`
`RETAIN_AFTER_READING`

Method Summary

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Enum Constant Detail

### REMOVE_AFTER_READING

    StreamByteBuffer.ReadMode REMOVE_AFTER_READING

### RETAIN_AFTER_READING

    StreamByteBuffer.ReadMode RETAIN_AFTER_READING

Groovy Documentation